> For the complete documentation index, see [llms.txt](https://docs.talus.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_registry/leader_cap.md).

# leader\_cap

* [Struct `OverNetwork`](#struct-overnetwork)
* [Struct `FoundingLeaderCapCreatedEvent`](#struct-foundingleadercapcreatedevent)
* [Function `what_for`](#function-what_for)

### Struct `OverNetwork`

Type of \[OwnerCap] that can be held by the leader of an off-chain network. An off-chain network has one or more equally trusted leaders. TODO: Need Migration if the package is upgraded

```move
public struct OverNetwork has drop
```

<details>

<summary>Fields</summary>

</details>

#### Struct `FoundingLeaderCapCreatedEvent`

Emitted when a founding leader capability is minted for a new network.

```move
public struct FoundingLeaderCapCreatedEvent has copy, drop
```

<details>

<summary>Fields</summary>

[`leader_cap`](#nexus_registry_leader_cap)`: sui::object::IDnetwork: sui::object::ID`

</details>

#### Function `what_for`

Compatibility wrapper so existing call sites can keep using method syntax.

```move
public fun what_for(self: &nexus_primitives::owner_cap::CloneableOwnerCap<nexus_registry::leader_cap::OverNetwork>): sui::object::ID
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.talus.network/talus-docs-v2.1.0/reference/move/nexus_registry/leader_cap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
